###### R potvrt (histogram)######

setwd("C:/Users/Navratil/Documents/R")
# setwd("C:/Users/uivatel/Documents/R") # cesta pro koln PC

# nejprve si vytvome datov struktury z pedchozch lekc

c1 <- c(50, 14, 57, 145, 79, 9, 357, 63, 48, 10, 83, 40, 10, 10, 18, 61, 19, 38, 98, 93, 44)
c1
c4 <- c(80, 102, 142, 92, 102, 72, 363, 51, 102, 113, 159, 127, 163, 60, 63, 99, 208, 549, 151, 144, 65)
c4
mat1 <- cbind(c1,c4)
mat1
class(mat1)

####Histogram####
# K tvorb histogram pouvme pkaz hist().
# Pehledov info zde: http://portal.matematickabiologie.cz/index.php?pg=zaklady-informatiky-pro-biology--vypocetni-matematicke-systemy--vyuka-jazyka-r--grafika-v-r--high-level-funkce--hist

?hist #zjistme, co meme

hist(c1)

# prava kategori se dje atributem breaks="nzev" nebo potem 1-6

hist(c1, breaks = "Scott")

# chci-li na ose Y relativn etnosti, musm zadat freq=FALSE

hist(c1, freq=FALSE)

# chci-li je vypsat, pak pouiji atribut labels=TRUE

hist(c1, labels=TRUE)

# zkladn grafiku histogramu lze ovldat stjn jako u box-plot 
# atributy main, xlab, ylab a col, raf dopluje atributem density a jej sklon angle:

hist(c1, freq=FALSE, labels=TRUE, density=7, angle = 135, col="green", xlab="jaro", main = "Relativn rozdlen etnost")

# vstupn hodnoty zskm funkc (hist())

(hist(c1)) 

# kumulativn histogram pmo R neum a je teba pout nsledujc fintu:

muj_histo <- hist(c1) #ulo vsledn informace z histogramu

muj_histo # zkontrolujeme vzhled uloenho textovho vstupu

# vstupem je tedy seznam typu "histogram" o 6 objektech a jednm z nich je vektor counts 

muj_histo$counts <- cumsum(muj_histo$counts) #pepe hodnoty frekvenc vektoru count

plot(muj_histo, main = "Mj kumulovan histogram", ylab = "poet", xlab = "jaro") #vytvome nov graf

# Dal monost je naten balku lessR a pouit funkce histogram() 
# s pslunm atributem (samozejm to pjde a po instalaci danho package)

library(lessR)

Histogram(c1, cumul="on", main = "Mj kumulovan histogram", ylab = "poet", xlab = "jaro")

####Sloupcov grafy####
# k tvorb sloupcovho grafu slou funkce barplot()

barplot(c1)

# k zkladn grafick prav slou dve poznan atributy main, xlab, ylab, 
# col, density, angle
# jak lze graf upravit je popsho dole zde: http://portal.matematickabiologie.cz/index.php?pg=zaklady-informatiky-pro-biology--vypocetni-matematicke-systemy--vyuka-jazyka-r--grafika-v-r--high-level-funkce--barplot

####Sloupcov grafy s vce promnnmi####
# To je trochu oek, kter ale dl problmy i v MS Excel. eknm, e chci graficky 
# porovnat podle lokalit men na jae a na podzim

barplot(mat1) # to urit nen ono

# musm prohodit sloupce a dky

mat1t <- t(mat1) #transponoval jsem

barplot(mat1t) # to u je lep, ale souet konduktivit je z logiky vci blbost, 

# musm je dostat vedle sebe atributem beside=TRUE

barplot(mat1t, beside=TRUE) # to u je lep

# Vsledn graf musme samozejm upravit pomoc atribut, kter u znme nebo si je 
# dohledme zde: http://portal.matematickabiologie.cz/index.php?pg=zaklady-informatiky-pro-biology--vypocetni-matematicke-systemy--vyuka-jazyka-r--grafika-v-r--high-level-funkce--barplot

barplot(mat1t, beside=TRUE, main = "porovnn konduktivity na lokalitch", xlab="lokality", ylab="konduktivita", names.arg=c(1:21))